/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

import java.util.Objects;

/**
 * HarvestError
 */

public class HarvestError {
  @JsonProperty("created_at")
  private LocalDateTime createdAt = null;

  @JsonProperty("details")
  private String details = null;

  @JsonProperty("message")
  private String message = null;

  public HarvestError createdAt(LocalDateTime createdAt) {
    this.createdAt = createdAt;
    return this;
  }

   /**
   * The error creation date
   * @return createdAt
  **/
  @ApiModelProperty(required = true, value = "The error creation date")
  public LocalDateTime getCreatedAt() {
    return createdAt;
  }

  public void setCreatedAt(LocalDateTime createdAt) {
    this.createdAt = createdAt;
  }

  public HarvestError details(String details) {
    this.details = details;
    return this;
  }

   /**
   * Optional details (ie. stacktrace)
   * @return details
  **/
  @ApiModelProperty(value = "Optional details (ie. stacktrace)")
  public String getDetails() {
    return details;
  }

  public void setDetails(String details) {
    this.details = details;
  }

  public HarvestError message(String message) {
    this.message = message;
    return this;
  }

   /**
   * The error short message
   * @return message
  **/
  @ApiModelProperty(required = true, value = "The error short message")
  public String getMessage() {
    return message;
  }

  public void setMessage(String message) {
    this.message = message;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HarvestError harvestError = (HarvestError) o;
    return Objects.equals(this.createdAt, harvestError.createdAt) &&
        Objects.equals(this.details, harvestError.details) &&
        Objects.equals(this.message, harvestError.message);
  }

  @Override
  public int hashCode() {
    return Objects.hash(createdAt, details, message);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HarvestError {\n");

    sb.append("    createdAt: ").append(toIndentedString(createdAt)).append("\n");
    sb.append("    details: ").append(toIndentedString(details)).append("\n");
    sb.append("    message: ").append(toIndentedString(message)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

